org.apache.felix.obrplugin

## Class Config

- java.lang.Object
- - org.apache.felix.obrplugin.Config

-     public class Config
      extends Object

  this class is used to store some user information about configuration of the plugin.
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()` constructor: set default configuration: use relative path and don't upload file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getRemoteBundle()`
    `boolean` | `isPathRelative()`
    `boolean` | `isRemoteFile()`
    `void` | `setPathRelative(boolean value)`
    `void` | `setRemoteBundle(URI value)`
    `void` | `setRemoteFile(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

      constructor: set default configuration: use relative path and don't upload file.

  - ### Method Detail

    - #### setPathRelative

          public void setPathRelative(boolean value)

      Parameters:
        `value` - enable to use relative path

    - #### setRemoteFile

          public void setRemoteFile(boolean value)

      Parameters:
        `value` - enable when uploading

    - #### setRemoteBundle

          public void setRemoteBundle(URI value)

      Parameters:
        `value` - public address of deployed bundle

    - #### isPathRelative

          public boolean isPathRelative()

      Returns:
        true if plugin uses relative path, else false

    - #### isRemoteFile

          public boolean isRemoteFile()

      Returns:
        true if the file will be uploaded, else false

    - #### getRemoteBundle

          public URI getRemoteBundle()

      Returns:
        public address of deployed bundle

Copyright © 2015. All rights reserved.